import 'package:easy_localization/easy_localization.dart';

class DateHelper {
  static dateFormat(String? date) {
    try {
      if (date?.isNotEmpty == true) {
        var time = date?.split("+");
        var inputFormat = DateFormat("yyyy-MM-dd'T'HH:mm:ss");
        var inputDate = inputFormat.parse(time![0]);
        var outputFormat = DateFormat('hh:mm a - dd/MM/yyyy');
        var outputDate = outputFormat.format(inputDate);
        return outputDate.toUpperCase();
      } else {
        return "text_no_update".tr();
      }
    } catch (e) {
      return "format error";
    }
  }

  static dateDefaultFormat(String? date) {
    try {
      if (date?.isNotEmpty == true) {
        var time = date?.split("+");
        var inputFormat = DateFormat("yyyy-MM-dd'T'HH:mm:ss");
        var inputDate = inputFormat.parse(time![0]);
        var outputFormat = DateFormat('dd/MM/yyyy');
        var outputDate = outputFormat.format(inputDate);
        return outputDate.toUpperCase();
      } else {
        return "text_no_update".tr();
      }
    } catch (e) {
      return "format error";
    }
  }
}
