import 'package:flutter/material.dart';

class CustomIcon extends StatelessWidget {
  const CustomIcon({Key? key, this.color, this.size, this.icon})
      : super(key: key);

  final Color? color;
  final double? size;
  final IconData? icon;

  @override
  Widget build(BuildContext context) {
    return Icon(
      icon,
      size: size,
      color: color ?? Colors.white,
    );
  }
}
